#
#       HBS REDUCTION SUB ROUTINE
#
#       Transform coordination for splot (list file version) : hbscoordl.cl
#
#       1996/10/25      K.Kawabata  Ver.0.10  for CRYOCAM manual reduc
#

procedure hbscoordl( inlist )

file inlist	{ prompt = "Input list to be proccessed" }


begin

  file fn, hbslist

  hbslist = inlist
  list = hbslist

  while( fscan( list, fn ) != EOF )
  {
    printf( "proccessing %s\n", fn )

#----- transform coordination


    hedit( fn, "CRPIX1", "0.0", add-, delete-, verify-, show-, update+ )
    hedit( fn, "CRPIX2", "0.0", add-, delete-, verify-, show-, update+ )
    hedit( fn, "CRVAL1", "0.0", add+, delete-, verify-, show-, update+ )
    hedit( fn, "CRVAL2", "0.0", add+, delete-, verify-, show-, update+ )
    hedit( fn, "CDELT1", "1.0", add+, delete-, verify-, show-, update+ )
    hedit( fn, "CDELT2", "1.0", add+, delete-, verify-, show-, update+ )

    hedit( fn, "CD1_1",  "0.0", add-, delete+, verify-, show-, update+ )
    hedit( fn, "CD1_2",  "0.0", add-, delete+, verify-, show-, update+ )
    hedit( fn, "CD2_1",  "0.0", add-, delete+, verify-, show-, update+ )
    hedit( fn, "CD2_2",  "0.0", add-, delete+, verify-, show-, update+ )
    hedit( fn, "LTV1",   "0.0", add-, delete+, verify-, show-, update+ )
    hedit( fn, "LTV2",   "0.0", add-, delete+, verify-, show-, update+ )
    hedit( fn, "LTM1_1", "0.0", add-, delete+, verify-, show-, update+ )
    hedit( fn, "LTM1_2", "0.0", add-, delete+, verify-, show-, update+ )
    hedit( fn, "LTM2_1", "0.0", add-, delete+, verify-, show-, update+ )
    hedit( fn, "LTM2_2", "0.0", add-, delete+, verify-, show-, update+ )
    hedit( fn, "WAT0_001",  "", add-, delete+, verify-, show-, update+ )
    hedit( fn, "WAT1_001",  "", add-, delete+, verify-, show-, update+ )
    hedit( fn, "WAT2_001",  "", add-, delete+, verify-, show-, update+ )
  }

end
